<?php
    require '../main.inc.php';
    include_once DOL_DOCUMENT_ROOT.'/contact/class/contact.class.php';
	require_once DOL_DOCUMENT_ROOT.'/core/class/html.formother.class.php';
	require_once DOL_DOCUMENT_ROOT.'/core/lib/company.lib.php';
	require_once DOL_DOCUMENT_ROOT.'/core/class/html.formcompany.class.php';
	require_once DOL_DOCUMENT_ROOT.'/societe/class/client.class.php';
	$res = 0;
	if (! $res && file_exists(DOL_DOCUMENT_ROOT."/contratPlus/fonction.php")) {
		$res = @include(DOL_DOCUMENT_ROOT."/contratPlus/fonction.php");
	}
	if (! $res && file_exists(DOL_DOCUMENT_ROOT."/custom/contratPlus/fonction.php")) {
		$res = @include(DOL_DOCUMENT_ROOT."/custom/contratPlus/fonction.php");
	}
	if (! $res) die("Include of /contratPlus/fonction.php failed");
	$page_name = "ContratPlusSetup";
	llxHeader('', $langs->trans($page_name));

	/* Début premier tableau */
	/* refuser si le user n'est pas admin */
	if (! $user->admin) accessforbidden();
								
	/* récupération du choix utilisateur */
	if (isset($_POST['select']))
		$value_select = $_POST['select'];

	/* execution de la requete */
	$sql = "UPDATE llx_contratplus SET active = '".$value_select."' WHERE name = 'OPTION'";
	$db->query($sql);
	/* trouver l'option choisie*/
	$sql = "SELECT llx_contratplus.active FROM llx_contratplus WHERE llx_contratplus.name = 'OPTION'";
	$resql = $db->query($sql);
	$res = $resql->fetch_assoc();
	$option = $res['active'];
								
	/* affichage tableau */
	print load_fiche_titre("Option renouvellement simple");
	dol_fiche_head();
	print '<form method="post" action="contratplus_setupapage.php">';
	/* 1ere ligne */
	print '<table class="noborder" >';
	print '<tr class="liste_titre">';
	print '<td width="200px">OPTION</td>';
	print '<td>Choisir une option pour le renouvellement</td>';
	print '<td>Description</td>';
	print '</tr>';
	
	$i = 0;
	while ($i < 2)
	{
		if ($i %2 == 0)
			print '<tr class="pair"><td></td><td>';
		else
			print '<tr class="impair"><td></td><td>';
		$name = "Option ".$i;
		if ($i == $option)
			echo '<input type="radio" name="select" value="'.$i.'"" checked="checked"> '.$name.' <br/>';
		else										
			echo '<input type="radio" name="select" value="'.$i.'""> '.$name.' <br/>';
		print '</td>';
		if ($i == 0)
			print '<td>Active seulement le renouvellement</td>';
		else if ($i == 1)
			print '<td>Active le renouvellement et la création du brouillon de la facture</td>';
		$i++;
	}
	print '</table>';
	print '<div align="center"><p><input type="submit" value="Modifier" class="button"></p></div>';
	print '</form>';

	/* option de bypass */
	if ($_GET['action'] == "bypass")
	{
		if (isset($_POST['bypass']))
			$res_bypass = 1;
		else
			$res_bypass = 0;
		$sql = "UPDATE llx_contratplus SET active = '".$res_bypass."' WHERE name = 'BYPASS'";
		$db->query($sql);
	}
	$bypass = getInfoOnBDD("BYPASS");
	print '<form method="post" action="contratplus_setupapage.php?action=bypass">';
	echo "Désactiver la validation lors d'un renouvellement	";
	if ($bypass['active'] == 1)
		echo '<input type="checkbox" name="bypass" checked> (par défaut non)<br/>';
	else
		echo '<input type="checkbox" name="bypass" > (par défaut non) <br/>';
	print '<div align="center"><p><input type="submit" value="Modifier" class="button"></p></div>';
	print '</form>';
	/* end option de bypass */
	dol_fiche_end();
	/* end premier tableau */

	llxFooter();
?>